Skip to content
LydieDevelopers
Menu

Permanently delete a document

View as Markdown
POST/v1/documents/{id}/purge

Permanently deletes a document in the trash, its trashed subtree, bodies and outgoing links. Links to it become unresolved. Cannot be undone.

docs:writeCannot be undone
Request
curl -X POST "https://api.lydie.co/v1/documents/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/purge" \
  -H "Authorization: Bearer $LYDIE_TOKEN"

Path parameters

  • idULIDrequired

Response

200
{
  "purgedIds": [
    "01JCQ3V5MZ8G4ZK2X7T9R6N1PB"
  ]
}

Errors use one envelope for every endpoint. See Errors and versions.